/**
 * Copyright (c) 2004 Red Hat, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * Component of: Red Hat Application Server
 * 
 * Initial Developers: Aizaz Ahmed
 *                     Vivek Lakshmanan
 *                     Andrew Overholt
 *                     Matthew Wringe
 *
 */
package olstore.dto;

/**
 * This DTO is used to store the user's address information.
 */
public class AddressValue {
    
    private String country = null;
    private String city  = null;
    private String postalCode  = null;
    private String street1  = null;
    private String street2  = null;
    private String province  = null;
    
    public String getCountry()
    {
        return country;
    }
    
    public void setCountry(String country)
    {
        this.country=country;
    }
    
    public String getCity()
    {
        return city;
    }
    
    public void setCity(String city)
    {
        this.city=city;
    }
    
    public String getPostalCode()
    {
        return postalCode;
    }
    
    public void setPostalCode(String postalCode)
    {
        this.postalCode=postalCode;
    }
    
    public String getStreet1()
    {
        return street1;
    }
    
    public void setStreet1(String street1)
    {
        this.street1=street1;
    }
    
    public String getStreet2()
    {
        return street2;
    }
    
    public void setStreet2(String street2)
    {
        this.street2=street2;
    }
    
    public String getProvince()
    {
        return province;
    }
    
    public void setProvince(String province)
    {
        this.province=province;
    }
}
